RosInterface plugin setup

Typically: "How do I... ", "How can I... " questions
Post Reply
JJrobo
Posts: 6
Joined: 30 May 2017, 11:45

RosInterface plugin setup

Post by JJrobo » 08 Jul 2017, 19:05

Hi
I'm having trouble getting the RosInterface plugin to work:
- I am using Ubuntu 16.04
- Ros Kinetic
- Downloaded vrep 3.4.0
- I followed the tutorial on the readme here https://github.com/fferri/v_repExtRosInterface and built a .so file
- I put the file into vrep folder
- I launched roscore
- Vrep launches but i see:

Plugin 'RosInterface': loading...
this plugin requires at least V-REP 3.4.0 rev9
Plugin 'RosInterface': load failed (failed initialization).


I can't understand why this happens, please help?

coppelia
Site Admin
Posts: 6185
Joined: 14 Dec 2012, 00:25

Re: RosInterface plugin setup

Post by coppelia » 10 Jul 2017, 10:01

Hello,

this is because your are using the newest RosInterface from the git repository, instead of using the one in your programming/ros_packages folder. If you want to use the newest one from the git repository, then you need to install the beta version of V-REP from here.

Cheers

Post Reply